from flask import Blueprint, render_template

views = Blueprint(
    'quiz_views',
    __name__,
    static_url_path='',
    template_folder='templates',
    static_folder='static'
)

@views.route('/')
@views.route('/home/')
def home():
    return render_template('/quiz/index.html')

@views.route('/start/', methods = ['GET', 'POST'])
def start():
    from .forms import StartQuiz
    form = StartQuiz()
    return render_template('/quiz/start-quiz.html', form=form)

@views.route('/privacy/')
def privacy():
    return f"""<h1>Privacy Policy</h1>
    
    <ul>
        <li>Website stores data using cookies.</li>
        <li>Site Administrators</li>
        <li>This web site only uses functional cookies to store information on log-in.</li>
        <li>User information for administrators will be encrypted and stored in a secure database for the purposes of administering this web site, and will be expunged when the user account is deleted.</li>
        <li>Test Candidate</li>
        <li>The web site will not be tracking your log in, and all information about your test attempt will be stored on your device until it is submitted to the server.</li>
        <li>Data from your test as well as identifying information about the candidate will be encrypted and stored in a secure database on the server, and will be retained for a period of HOW MANY? years for the SKA's records.</li>
    <ul>
    
    """